<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2008 Bull S.A.S.
  - Contact: jonas-team@objectweb.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id$
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.ow2.jonas</groupId>
    <artifactId>jonas-ejb</artifactId>
    <version>5.2.0-M2-SR1</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.ow2.jonas</groupId>
  <artifactId>jonas-ejb-easybeans</artifactId>
  <packaging>bundle</packaging>
  <name>JOnAS :: Services :: EJB :: EasyBeans</name>
  <description>EJB Service for EasyBeans</description>


  <repositories>
    <repository>
      <id>repository.jboss.com</id>
      <name>Maven2 JBoss Repository</name>
      <url>http://repository.jboss.com/maven2</url>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
      <releases>
        <enabled>true</enabled>
      </releases>
    </repository>
  </repositories>

  <dependencies>

    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-commons</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-management-javaee</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-mbeans</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.bundles</groupId>
      <artifactId>ow2-util-ee-deploy-api</artifactId>
    </dependency>

    <dependency>
      <groupId>org.ow2.easybeans</groupId>
      <artifactId>easybeans-all</artifactId>
      <version>${easybeans.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-ejb-3.0-spec</artifactId>
    </dependency>

    <dependency>
      <groupId>org.ow2.easybeans</groupId>
      <artifactId>easybeans-jpa-hibernate-dependency</artifactId>
      <version>${easybeans.version}</version>
      <type>pom</type>
    </dependency>

    <dependency>
      <groupId>org.ow2.easybeans</groupId>
      <artifactId>easybeans-jpa-default-hibernate</artifactId>
      <version>${easybeans.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-naming</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.easybeans.osgi</groupId>
      <artifactId>easybeans-modules-core</artifactId>
      <version>${easybeans.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-security-propagation</artifactId>
      <version>${project.version}</version>
    </dependency>

  </dependencies>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-jar-plugin</artifactId>
        <executions>
          <execution>
            <id>attach-config</id>
            <phase>compile</phase>
            <goals>
              <goal>jar</goal>
            </goals>
            <configuration>
              <classesDirectory>src/main/config</classesDirectory>
              <finalName>easybeans-config</finalName>
              <outputDirectory>${project.build.directory}</outputDirectory>
              <classifier>config</classifier>
              <excludes>
                <exclude>**/.svn/**</exclude>
              </excludes>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
